- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IMappedStatement
TCachingStatement
TDeleteMappedStatement
TInsertMappedStatement
TMappedStatement
TPostSelectBinding
TPreparedCommand
TPreparedStatement
TPreparedStatementFactory
TResultSetListItemParameter
TResultSetMapItemParameter
TSelectMappedStatement
TSimpleDynamicSql
TSqlMapObjectCollectionTree
TSqlMapSelect
TStaticSql
TUpdateMappedStatement

Keyword

# Class TStaticSql

    TComponent
       |
       --TStaticSql

#### Direct Known Sub-classes:

TSimpleDynamicSql

TStaticSql class.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
void | buildPreparedStatement ( mixed $statement, mixed $sqlString)
void | getPreparedStatement ( mixed $parameter)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## buildPreparedStatement

public void buildPreparedStatement | (mixed $statement , mixed $sqlString )

Input
mixed | $statement |
mixed | $sqlString |
Output
Exception

## getPreparedStatement

public void getPreparedStatement | (mixed $parameter )

Input
mixed | $parameter |
Output
Exception